Bug 669337 - Preupgrade doesn't run
Preupgrade doesn't run
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
13
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-13 07:13 EST by Nuno Dias
Modified: 2011-12-07 15:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 08:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nuno Dias 2011-01-13 07:13:21 EST
Description of problem:
preupgrade doesn't run.

Version-Release number of selected component (if applicable):
preupgrade-1.1.8-1.fc13.noarch

How reproducible:
Every time

Steps to Reproduce:
1. run preupgrade-cli or preupgrade from a shell
2.
3.
  
Actual results:
nothing happens

Expected results:
The preupgrade run and update.

Additional info:
The error ...

Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 316, in <module>
    pu = PreUpgradeCli()
  File "/usr/share/preupgrade/preupgrade-cli.py", line 52, in __init__
    PreUpgrade.__init__(self)
  File "/usr/lib/python2.6/site-packages/preupgrade/__init__.py", line 80, in __init__
    self._getConfig()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 312, in _getConfig
    startupconf.pluginconfpath,disabled_plugins,enabled_plugins)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 500, in doPluginSetup
    plugin_types, confpath, disabled_plugins, enabled_plugins)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 166, in __init__
    self.run('config')
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 183, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/versionlock.py", line 153, in config_hook
    conduit.registerCommand(VersionLockCommand())
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 505, in registerCommand
    self._base.registerCommand(command)
  File "/usr/share/yum-cli/cli.py", line 107, in registerCommand
    if name in self.yum_cli_commands:
AttributeError: 'PreUpgradeCli' object has no attribute 'yum_cli_commands'
Comment 1 Boyd 2011-05-11 23:54:01 EDT
Also same on Fedora 14.  Since 15 is due out hopefully this will be fixed!



[root@vsrv01 ~]# preupgrade-cli 
Loaded plugins: blacklist, versionlock, whiteout
No plugin match for: rpm-warm-cache
No plugin match for: remove-with-leaves
No plugin match for: auto-update-debuginfo
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 318, in <module>
    pu = PreUpgradeCli()
  File "/usr/share/preupgrade/preupgrade-cli.py", line 52, in __init__
    PreUpgrade.__init__(self)
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 80, in __init__
    self._getConfig()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 312, in _getConfig
    startupconf.pluginconfpath,disabled_plugins,enabled_plugins)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 500, in doPluginSetup
    plugin_types, confpath, disabled_plugins, enabled_plugins)
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 166, in __init__
    self.run('config')
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 183, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/versionlock.py", line 153, in config_hook
    conduit.registerCommand(VersionLockCommand())
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 505, in registerCommand
    self._base.registerCommand(command)
  File "/usr/share/yum-cli/cli.py", line 107, in registerCommand
    if name in self.yum_cli_commands:
AttributeError: 'PreUpgradeCli' object has no attribute 'yum_cli_commands'
[root@vsrv01 ~]#
Comment 2 tony 2011-05-28 03:58:10 EDT
I've got a similar problem that throws out a different text dump.

Fedora 14 x86_64

[tony@linux3 ~]$ preupgrade
Loaded plugins: blacklist, whiteout
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 800, in <module>
    widgets = PreUpgradeGtk()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 341, in __init__
    self.pu.retrieve_release_info()
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 154, in retrieve_release_info
    cp.readfp(configdata)
  File "/usr/lib64/python2.7/ConfigParser.py", line 316, in readfp
    self._read(fp, filename)
  File "/usr/lib64/python2.7/ConfigParser.py", line 504, in _read
    raise MissingSectionHeaderError(fpname, lineno, line)
ConfigParser.MissingSectionHeaderError: File contains no section headers.
file: <???>, line: 1
'<html>\r\n'

As a matter of interest, I got the warnings about missing yum-plugins, so installed them because I thought this error may be related to them being missing.
Comment 3 Bug Zapper 2011-05-30 07:56:46 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 08:35:24 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Martin Dengler 2011-12-07 15:34:33 EST
This bug could be marked as a DUPLICATE of 615640 https://bugzilla.redhat.com/show_bug.cgi?id=615640

Note You need to log in before you can comment on or make changes to this bug.